<?php $attributes ??= new \Illuminate\View\ComponentAttributeBag;

$__newAttributes = [];
$__propNames = \Illuminate\View\ComponentAttributeBag::extractPropNames(([
    'tool' => false,
]));

foreach ($attributes->all() as $__key => $__value) {
    if (in_array($__key, $__propNames)) {
        $$__key = $$__key ?? $__value;
    } else {
        $__newAttributes[$__key] = $__value;
    }
}

$attributes = new \Illuminate\View\ComponentAttributeBag($__newAttributes);

unset($__propNames);
unset($__newAttributes);

foreach (array_filter(([
    'tool' => false,
]), 'is_string', ARRAY_FILTER_USE_KEY) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
}

$__defined_vars = get_defined_vars();

foreach ($attributes->all() as $__key => $__value) {
    if (array_key_exists($__key, $__defined_vars)) unset($$__key);
}

unset($__defined_vars); ?>
<div <?php echo $attributes->merge(['class' => 'wrap-content', 'id']); ?>>
    <div class="hero-title">
        <?php if(setting('disable_favorite_tools', '1') == 1): ?>
            <div class="tool-favorite-btn">
                <button aria-label="<?php echo app('translator')->get('tools.addToFavorite'); ?>"
                    class="btn btn-outline-primary rounded-circle add-fav  <?php if(Auth::check()): ?> add-favorite-btn <?php endif; ?> <?php if(Auth::check() && $tool->hasBeenFavoritedBy(Auth::user())): ?> active <?php endif; ?>"
                    data-id="<?php echo e($tool->id); ?>" type="button" id="button"
                    data-url="<?php echo e(route('tool.favouriteAction')); ?>"
                    <?php if(!Auth::check()): ?> onclick="window.location.href=`<?php echo e(route('login')); ?>`;" <?php endif; ?>>
                    <i class="an an-heart"></i>
                </button>
            </div>
        <?php endif; ?>
        <?php if(!empty($tool->name)): ?>
            <h1><?php echo e($tool->name); ?></h1>
        <?php endif; ?>
        <?php if(!empty($tool->description)): ?>
            <p><?php echo e($tool->description ?? ''); ?></p>
        <?php endif; ?>
    </div>
    <?php echo e($slot); ?>

</div>
<?php /**PATH /www/wwwroot/webtoolzone.com/resources/themes/canvas/components/tool-wrapper.blade.php ENDPATH**/ ?>